---
obj: application
repo: https://github.com/muesli/duf
---

# duf
Disk Usage/Free Utility

## Usage
You can simply start duf without any command-line arguments:
```
duf
```

If you supply arguments, duf will only list specific devices & mount points:
```
duf /home /some/file
```

If you want to list everything (including pseudo, duplicate, inaccessible file systems):
```
duf --all
```

### Filtering

You can show and hide specific tables:
```
duf --only local,network,fuse,special,loops,binds
duf --hide local,network,fuse,special,loops,binds
```

You can also show and hide specific [filesystems](../../linux/filesystems/Filesystems.md):
```
duf --only-fs tmpfs,vfat
duf --hide-fs tmpfs,vfat
```

...or specific mount points:
```
duf --only-mp /,/home,/dev
duf --hide-mp /,/home,/dev
```

Wildcards inside quotes work:
```
duf --only-mp '/sys/*,/dev/*'
```

If you prefer your output as [JSON](../../files/JSON.md):
```
duf --json
```